Package com.ngrok.definitions

# Class HttpsEdge

java.lang.Object
com.ngrok.definitions.HttpsEdge

public class HttpsEdge extends Object
A class encapsulating the `HttpsEdge` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpsEdge(String id, String description, String metadata, OffsetDateTime createdAt, URI uri, Optional<List<String>> hostports, Optional<EndpointMutualTls> mutualTls, Optional<EndpointTlsTermination> tlsTermination, List<HttpsEdgeRoute> routes)`
  Creates a new instance of `HttpsEdge`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the edge configuration was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of what this edge will be used for; optional, max 255 bytes.
  `Optional<List<String>>`
  `getHostports()`
  hostports served by this edge
  `String`
  `getId()`
  unique identifier of this edge
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
  `Optional<EndpointMutualTls>`
  `getMutualTls()`
  edge modules
  `List<HttpsEdgeRoute>`
  `getRoutes()`
  routes
  `Optional<EndpointTlsTermination>`
  `getTlsTermination()`
  Fetches the value of the `tlsTermination` property.
  `URI`
  `getUri()`
  URI of the edge API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HttpsEdge

    public HttpsEdge(String id, String description, String metadata, OffsetDateTime createdAt, URI uri, Optional<List<String>> hostports, Optional<EndpointMutualTls> mutualTls, Optional<EndpointTlsTermination> tlsTermination, List<HttpsEdgeRoute> routes)
    Creates a new instance of `HttpsEdge`.
    Parameters:
      `id` - unique identifier of this edge
      `description` - human-readable description of what this edge will be used for; optional, max 255 bytes.
      `metadata` - arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
      `createdAt` - timestamp when the edge configuration was created, RFC 3339 format
      `uri` - URI of the edge API resource
      `hostports` - hostports served by this edge
      `mutualTls` - edge modules
      `tlsTermination` - the value of the `tls_termination` parameter as a `EndpointTlsTermination`
      `routes` - routes

- ## Method Details

  - ### getId

    public String getId()
    unique identifier of this edge
    Returns:
      the value of the property as a `String`

  - ### getDescription

    public String getDescription()
    human-readable description of what this edge will be used for; optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this edge; optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the edge configuration was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getUri

    public URI getUri()
    URI of the edge API resource
    Returns:
      the value of the property as a `URI`

  - ### getHostports

    public Optional<List<String>> getHostports()
    hostports served by this edge
    Returns:
      the value of the property as a `List` of `String` wrapped in an `Optional`

  - ### getMutualTls

    public Optional<EndpointMutualTls> getMutualTls()
    edge modules
    Returns:
      the value of the property as a `EndpointMutualTls` wrapped in an `Optional`

  - ### getTlsTermination

    public Optional<EndpointTlsTermination> getTlsTermination()
    Fetches the value of the `tlsTermination` property.
    Returns:
      the value of the property as a `EndpointTlsTermination` wrapped in an `Optional`

  - ### getRoutes

    public List<HttpsEdgeRoute> getRoutes()
    routes
    Returns:
      the value of the property as a `List` of `HttpsEdgeRoute`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`